Bug 100419 - CAN-2003-0539 ddskk temporary file handling
Summary: CAN-2003-0539 ddskk temporary file handling
Status: CLOSED DUPLICATE of bug 98924
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ddskk   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-22 09:00 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:57:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2003-07-22 09:00:52 UTC
ddskk does not take appropriate security precautions when creating
temporary files. This bug could potentially be exploited to overwrite
arbitrary files with the privileges of the user running Emacs and skk.  

The Common Vulnerabilities and Exposures project (cve.mitre.org) has allocated
the name CAN-2003-0539 to this issue.

Public 8 July 2003.

Errata RHSA-2003:242 in progress

Comment 1 Mark J. Cox 2003-07-22 09:06:08 UTC

*** This bug has been marked as a duplicate of 98924 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:57:39 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.